## org.eclipse.datatools.modelbase.sql.datatypes.util
Class SQLDataTypesSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.datatypes.util.SQLDataTypesSwitch

    public class SQLDataTypesSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLDataTypesPackage`

Constructor Summary
`SQLDataTypesSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseApproximateNumericDataType(ApproximateNumericDataType object)` Returns the result of interpretting the object as an instance of 'Approximate Numeric Data Type'.
`java.lang.Object` `caseArrayDataType(ArrayDataType object)` Returns the result of interpretting the object as an instance of 'Array Data Type'.
`java.lang.Object` `caseAttributeDefinition(AttributeDefinition object)` Returns the result of interpretting the object as an instance of 'Attribute Definition'.
`java.lang.Object` `caseBinaryStringDataType(BinaryStringDataType object)` Returns the result of interpretting the object as an instance of 'Binary String Data Type'.
`java.lang.Object` `caseBooleanDataType(BooleanDataType object)` Returns the result of interpretting the object as an instance of 'Boolean Data Type'.
`java.lang.Object` `caseCharacterSet(CharacterSet object)` Returns the result of interpretting the object as an instance of 'Character Set'.
`java.lang.Object` `caseCharacterStringDataType(CharacterStringDataType object)` Returns the result of interpretting the object as an instance of 'Character String Data Type'.
`java.lang.Object` `caseCollectionDataType(CollectionDataType object)` Returns the result of interpretting the object as an instance of 'Collection Data Type'.
`java.lang.Object` `caseConstructedDataType(ConstructedDataType object)` Returns the result of interpretting the object as an instance of 'Constructed Data Type'.
`java.lang.Object` `caseDataLinkDataType(DataLinkDataType object)` Returns the result of interpretting the object as an instance of 'Data Link Data Type'.
`java.lang.Object` `caseDataType(DataType object)` Returns the result of interpretting the object as an instance of 'Data Type'.
`java.lang.Object` `caseDateDataType(DateDataType object)` Returns the result of interpretting the object as an instance of 'Date Data Type'.
`java.lang.Object` `caseDistinctUserDefinedType(DistinctUserDefinedType object)` Returns the result of interpretting the object as an instance of 'Distinct User Defined Type'.
`java.lang.Object` `caseDomain(Domain object)` Returns the result of interpretting the object as an instance of 'Domain'.
`java.lang.Object` `caseEModelElement(EModelElement object)` Returns the result of interpretting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(ENamedElement object)` Returns the result of interpretting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseExactNumericDataType(ExactNumericDataType object)` Returns the result of interpretting the object as an instance of 'Exact Numeric Data Type'.
`java.lang.Object` `caseField(Field object)` Returns the result of interpretting the object as an instance of 'Field'.
`java.lang.Object` `caseFixedPrecisionDataType(FixedPrecisionDataType object)` Returns the result of interpretting the object as an instance of 'Fixed Precision Data Type'.
`java.lang.Object` `caseIntegerDataType(IntegerDataType object)` Returns the result of interpretting the object as an instance of 'Integer Data Type'.
`java.lang.Object` `caseIntervalDataType(IntervalDataType object)` Returns the result of interpretting the object as an instance of 'Interval Data Type'.
`java.lang.Object` `caseMultisetDataType(MultisetDataType object)` Returns the result of interpretting the object as an instance of 'Multiset Data Type'.
`java.lang.Object` `caseNumericalDataType(NumericalDataType object)` Returns the result of interpretting the object as an instance of 'Numerical Data Type'.
`java.lang.Object` `casePredefinedDataType(PredefinedDataType object)` Returns the result of interpretting the object as an instance of 'Predefined Data Type'.
`java.lang.Object` `caseReferenceDataType(ReferenceDataType object)` Returns the result of interpretting the object as an instance of 'Reference Data Type'.
`java.lang.Object` `caseRowDataType(RowDataType object)` Returns the result of interpretting the object as an instance of 'Row Data Type'.
`java.lang.Object` `caseSQLDataType(SQLDataType object)` Returns the result of interpretting the object as an instance of 'SQL Data Type'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpretting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseStructuredUserDefinedType(StructuredUserDefinedType object)` Returns the result of interpretting the object as an instance of 'Structured User Defined Type'.
`java.lang.Object` `caseTimeDataType(TimeDataType object)` Returns the result of interpretting the object as an instance of 'Time Data Type'.
`java.lang.Object` `caseTypedElement(TypedElement object)` Returns the result of interpretting the object as an instance of 'Typed Element'.
`java.lang.Object` `caseUserDefinedType(UserDefinedType object)` Returns the result of interpretting the object as an instance of 'User Defined Type'.
`java.lang.Object` `caseUserDefinedTypeOrdering(UserDefinedTypeOrdering object)` Returns the result of interpretting the object as an instance of 'User Defined Type Ordering'.
`java.lang.Object` `caseXMLDataType(XMLDataType object)` Returns the result of interpretting the object as an instance of 'XML Data Type'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDataTypesSwitch

    public SQLDataTypesSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseUserDefinedType

    public java.lang.Object caseUserDefinedType(UserDefinedType object)

  Returns the result of interpretting the object as an instance of 'User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseDataType

    public java.lang.Object caseDataType(DataType object)

  Returns the result of interpretting the object as an instance of 'Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Data Type'.
  See Also:
    `doSwitch(EObject)`

### casePredefinedDataType

    public java.lang.Object casePredefinedDataType(PredefinedDataType object)

  Returns the result of interpretting the object as an instance of 'Predefined Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predefined Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionDataType

    public java.lang.Object caseCollectionDataType(CollectionDataType object)

  Returns the result of interpretting the object as an instance of 'Collection Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Collection Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseNumericalDataType

    public java.lang.Object caseNumericalDataType(NumericalDataType object)

  Returns the result of interpretting the object as an instance of 'Numerical Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Numerical Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseCharacterStringDataType

    public java.lang.Object caseCharacterStringDataType(CharacterStringDataType object)

  Returns the result of interpretting the object as an instance of 'Character String Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Character String Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseRowDataType

    public java.lang.Object caseRowDataType(RowDataType object)

  Returns the result of interpretting the object as an instance of 'Row Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Row Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseArrayDataType

    public java.lang.Object caseArrayDataType(ArrayDataType object)

  Returns the result of interpretting the object as an instance of 'Array Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Array Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseMultisetDataType

    public java.lang.Object caseMultisetDataType(MultisetDataType object)

  Returns the result of interpretting the object as an instance of 'Multiset Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Multiset Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseBooleanDataType

    public java.lang.Object caseBooleanDataType(BooleanDataType object)

  Returns the result of interpretting the object as an instance of 'Boolean Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Boolean Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseIntervalDataType

    public java.lang.Object caseIntervalDataType(IntervalDataType object)

  Returns the result of interpretting the object as an instance of 'Interval Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Interval Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseBinaryStringDataType

    public java.lang.Object caseBinaryStringDataType(BinaryStringDataType object)

  Returns the result of interpretting the object as an instance of 'Binary String Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Binary String Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseCharacterSet

    public java.lang.Object caseCharacterSet(CharacterSet object)

  Returns the result of interpretting the object as an instance of 'Character Set'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Character Set'.
  See Also:
    `doSwitch(EObject)`

### caseTimeDataType

    public java.lang.Object caseTimeDataType(TimeDataType object)

  Returns the result of interpretting the object as an instance of 'Time Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Time Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseDistinctUserDefinedType

    public java.lang.Object caseDistinctUserDefinedType(DistinctUserDefinedType object)

  Returns the result of interpretting the object as an instance of 'Distinct User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Distinct User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseStructuredUserDefinedType

    public java.lang.Object caseStructuredUserDefinedType(StructuredUserDefinedType object)

  Returns the result of interpretting the object as an instance of 'Structured User Defined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Structured User Defined Type'.
  See Also:
    `doSwitch(EObject)`

### caseAttributeDefinition

    public java.lang.Object caseAttributeDefinition(AttributeDefinition object)

  Returns the result of interpretting the object as an instance of 'Attribute Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Attribute Definition'.
  See Also:
    `doSwitch(EObject)`

### caseFixedPrecisionDataType

    public java.lang.Object caseFixedPrecisionDataType(FixedPrecisionDataType object)

  Returns the result of interpretting the object as an instance of 'Fixed Precision Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Fixed Precision Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseDomain

    public java.lang.Object caseDomain(Domain object)

  Returns the result of interpretting the object as an instance of 'Domain'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Domain'.
  See Also:
    `doSwitch(EObject)`

### caseField

    public java.lang.Object caseField(Field object)

  Returns the result of interpretting the object as an instance of 'Field'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Field'.
  See Also:
    `doSwitch(EObject)`

### caseReferenceDataType

    public java.lang.Object caseReferenceDataType(ReferenceDataType object)

  Returns the result of interpretting the object as an instance of 'Reference Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Reference Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseConstructedDataType

    public java.lang.Object caseConstructedDataType(ConstructedDataType object)

  Returns the result of interpretting the object as an instance of 'Constructed Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Constructed Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseSQLDataType

    public java.lang.Object caseSQLDataType(SQLDataType object)

  Returns the result of interpretting the object as an instance of 'SQL Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseDataLinkDataType

    public java.lang.Object caseDataLinkDataType(DataLinkDataType object)

  Returns the result of interpretting the object as an instance of 'Data Link Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Data Link Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseUserDefinedTypeOrdering

    public java.lang.Object caseUserDefinedTypeOrdering(UserDefinedTypeOrdering object)

  Returns the result of interpretting the object as an instance of 'User Defined Type Ordering'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'User Defined Type Ordering'.
  See Also:
    `doSwitch(EObject)`

### caseDateDataType

    public java.lang.Object caseDateDataType(DateDataType object)

  Returns the result of interpretting the object as an instance of 'Date Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Date Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseExactNumericDataType

    public java.lang.Object caseExactNumericDataType(ExactNumericDataType object)

  Returns the result of interpretting the object as an instance of 'Exact Numeric Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Exact Numeric Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseApproximateNumericDataType

    public java.lang.Object caseApproximateNumericDataType(ApproximateNumericDataType object)

  Returns the result of interpretting the object as an instance of 'Approximate Numeric Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Approximate Numeric Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseIntegerDataType

    public java.lang.Object caseIntegerDataType(IntegerDataType object)

  Returns the result of interpretting the object as an instance of 'Integer Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Integer Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseXMLDataType

    public java.lang.Object caseXMLDataType(XMLDataType object)

  Returns the result of interpretting the object as an instance of 'XML Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XML Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(EModelElement object)

  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(ENamedElement object)

  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpretting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public java.lang.Object caseTypedElement(TypedElement object)

  Returns the result of interpretting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.